https://pulumi.com logo
#contribute
Title
# contribute
l

limited-rainbow-51650

03/17/2022, 7:49 PM
Hello, I’m using
pulumi-tf-provider-boilerplate
and updated all the info required for organization/namespace and provider name. Had to use the shim trick to expose the TF provider internal go package, but that is now in place. At the
make tfgen
step, I get this error now:
Copy code
$ make tfgen
[ -x /usr/local/bin/pulumi ] || curl -fsSL <https://get.pulumi.com> | sh
pulumi plugin install resource random 4.3.1
(cd provider && go build -o /Users/ringods/Projects/pulumiverse/pulumi-unifi/bin/pulumi-tfgen-unifi -ldflags "-X <http://github.com/pulumiverse/pulumi-unifi/provider/pkg/version.Version=0.0.1-alpha.1646771690+ecf121e7.dirty|github.com/pulumiverse/pulumi-unifi/provider/pkg/version.Version=0.0.1-alpha.1646771690+ecf121e7.dirty>" <http://github.com/pulumiverse/pulumi-unifi/provider/cmd/pulumi-tfgen-unifi)|github.com/pulumiverse/pulumi-unifi/provider/cmd/pulumi-tfgen-unifi)>
# <http://github.com/pulumi/pulumi/pkg/v3/codegen/schema|github.com/pulumi/pulumi/pkg/v3/codegen/schema>
../../../golang/pkg/mod/github.com/pulumi/pulumi/pkg/v3@v3.23.2/codegen/schema/loader.go:120:30: not enough arguments in call to pkgPlugin.Install
        have (*os.File)
        want (io.ReadCloser, bool)
make: *** [tfgen] Error 2
Am I using a wrong package version of something? https://github.com/pulumiverse/pulumi-unifi
13 Views